﻿using System.ComponentModel;
using Xamarin.Forms;
using Syncfusion.SfMaps.XForms;
using System;
using System.Globalization;

namespace mapssample
{
    // Learn more about making custom code visible in the Xamarin.Forms previewer
    // by visiting https://aka.ms/xamarinforms-previewer
    [DesignTimeVisible(false)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            this.BindingContext = new ColorMappingsViewModel();
        }
    }

    public class CustomMarker : MapMarker
    {
        public ImageSource ImageName { get; set; }
        public CustomMarker()
        {
            ImageName = ImageSource.FromResource("mapssample.pin.png");
        }
    }

    public class ColorMappingsViewModel
    {
        public ImageSource ImageName { get; set; }

        public Command<CustomMarker> TapCommand { get; protected set; }

        public ColorMappingsViewModel()
        {
            ImageName = ImageSource.FromResource("mapssample.Icons.grid.png");
            TapCommand = new Command<CustomMarker>(OnTapped);
        }

        private void OnTapped(CustomMarker selectedMarker)
        {
            // Your action here.
        }
    }

    public class TestConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return value;
        }
    }
}
